package hellocucumber;

import io.cucumber.java.After;
import io.cucumber.java.Before;
import io.cucumber.java.Scenario;
import io.cucumber.java.en.Given;
import io.cucumber.java.en.Then;
import io.cucumber.java.en.When;
import org.junit.Assert;
import org.openqa.selenium.By;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;
import org.openqa.selenium.chrome.ChromeDriver;
import org.openqa.selenium.support.PageFactory;

    public class AmazonSearchSteps {

        private WebDriver driver;

        @Before
        public void setUp() {
            System.setProperty("webdriver.chrome.driver", "/Users/svagicherla/Downloads/chromedriver");
            driver = new ChromeDriver();
        }

        @After
        public void tearDown(Scenario scenario) {
            closeBrowser();
        }

        @Given("I navigated to Google")
        public void i_navigated_to_google() {
            // Write code here that turns the phrase above into concrete actions
            driver.get("http://www.google.com");

//        throw new io.cucumber.java.PendingException();
        }

        @When("I searched for Amazon")
        public void i_searched_for_amazon() {
            // Write code here that turns the phrase above into concrete actions
            WebElement searchTextBox = driver.findElement(By.name("q"));
            searchTextBox.sendKeys("Amazon");
            searchTextBox.submit();

        }
        @Then("^the result should show for Amazon$")
        public void the_result_should_show_for_Amazon() throws Throwable {
            Assert.assertTrue(driver.getTitle().contains("Amazon"));
        }

        void closeBrowser() {
            driver.quit();
        }

    }


